PostgreSQL 7.1.3 Documentation
Prev |  | Next

# open

## Name

open -- opens a large object

## Synopsis

    open(mode)

### Parameters

`mode`

  open mode definition (integer).

### Return Type

none

### Exceptions

TypeError

  Bad parameter type, or too many arguments.

IOError

  Already opened object, or open error.

pg.error

  Invalid connection.

## Description

`open()` method opens a large object for reading/writing, in the same way than the UNIX `open()` function. The mode value can be obtained by OR-ing the constants defined in the pg module (`INV_READ, INV_WRITE`).

Prev | Home | Next
Large Object: `pglarge` | Up | close